# -*- coding: utf-8 -*-
"""
Created on Mon Dec 08 14:58:02 2014

@author: Michiel Klaassen
"""
#code uses ephem 2.7
import datetime
import ephem 
import serial
import time

obj = ephem.FixedBody()
obj._ra = '22.02'
obj._dec = '80.0004' 
    
ser = serial.Serial(0)  # open first port= comport 1
ser.baudrate = 9600
print ser.name          # check which port was really used
o = ephem.Observer()
o.lat ='52:02.35'#ede nl
o.long ='5:37.95'

while True:
    startTime = time.clock()
    o.date = datetime.datetime.utcnow() #
    obj.compute(o)
    print    
    print o.date #to local PC console
    print obj.ra, obj.dec   
    print obj.az, obj.alt    
    AZ=str(obj.az)
    EL=str(obj.alt)
    ser.write ("az")# to the remote PC
    ser.write (AZ)#
    ser.write ("el")
    ser.write (EL+'\r\n')#CR LF
    endTime = time.clock()-startTime
    time.sleep(1.0-endTime)#you can change the interval of 1.0 sec to other values 
    start_time = time.clock()